%define upstream_name    Math-Int128
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    128 bit integers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::Int64)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildRequires: perl-devel
ExclusiveArch: x86_64
%description
This module adds support for 128 bit integers, signed and unsigned, to Perl.
It depends on the C compiler's support for them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.220.0-9.mga9
+ Revision: 1862091
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.220.0-8.mga9
+ Revision: 1795901
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.220.0-7.mga9
+ Revision: 1726893
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.220.0-6.mga8
+ Revision: 1594918
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.220.0-5.mga8
+ Revision: 1530183
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.220.0-4.mga8
+ Revision: 1434452
- BR perl-ExtUtils-MakeMaker
+ tmb <tmb>
- rebuild for perl 5.30

* Thu May 16 2019 shlomif <shlomif> 0.220.0-3.mga7
+ Revision: 1398062
- Fix description thanks to tv

* Thu May 16 2019 shlomif <shlomif> 0.220.0-2.mga7
+ Revision: 1397966
- supports 64-bit archs only
- add BRs
- import based on Math-Int64

